## node-libnpx 10.2.1

=== Makefile ===
text-files = README.md CHANGELOG.md LICENSE.md

bin: bin/npx.1 bin/package.json bin/node_modules $(text-files)

bin/%: $(text-files)
	cp $(text-files) bin/

bin/npx.1: libnpx.1
	cat $< | sed s/libnpx/npx/ > $@

libnpx.1: README.md
	npm run docs

bin/package.json: package.json bin/package.template.json
	cat bin/package.template.json | npx json -e "this.version = '$$(cat package.json | npx json version)'" > $@
	npx json -I -f $@ -e "this.dependencies.libnpx = '$$(cat $@ | npx json version)'"

bin/node_modules: bin/package.json
	cd bin && npm i

clean:
	rm -rf bin/npx.1 bin/package.json bin/node_modules libnpx.1 $(addprefix bin/, $(text-files))

.PHONY: clean

## node-libnpx 10.2.0

=== debian/changelog ===
node-libnpx (10.2.0-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Tue, 16 Oct 2018 17:51:31 +0530

node-libnpx (10.2.0-2) unstable; urgency=medium

  * Skip npm when nocheck build profile is active
  * Add npm symbolic link in node_modules to system npm (fix autopkgtest)
  * Allow stderr for autopkgtest

 -- Pirate Praveen <praveen@debian.org>  Tue, 16 Oct 2018 19:10:45 +0530

node-libnpx (10.2.0-1) unstable; urgency=low

  * Initial release (Closes: #883282)

 -- Pirate Praveen <praveen@debian.org>  Fri, 12 Oct 2018 18:02:53 +0530

=== debian/control ===
Source: node-libnpx
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 11~)
 , pkg-components (>= 0.10~)
 , nodejs
 , node-tap <!nocheck>
 , node-marked-man
 , node-require-inject <!nocheck>
 , node-tacks <!nocheck>
# used for testing functionality of npm only
 , npm <!nocheck>
# Provided by debian/components/dotenv
# , node-dotenv (>= 4.0.0)
 , node-npm-package-arg (>= 5.1.2)
 , node-rimraf (>= 2.6.1)
 , node-safe-buffer (>= 5.1.0)
# Provided by debian/components/update-notifier
# , node-update-notifier (>= 2.2.0)
 , node-which (>= 1.2.14)
 , node-y18n (>= 3.2.1)
 , node-yargs (>= 8.0.2)
Standards-Version: 4.2.1
Homepage: https://github.com/zkat/npx#readme
Vcs-Git: https://salsa.debian.org/js-team/node-libnpx.git
Vcs-Browser: https://salsa.debian.org/js-team/node-libnpx

Package: node-libnpx
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
# Provided by debian/components/dotenv
# , node-dotenv (>= 4.0.0)
 , node-npm-package-arg (>= 5.1.2)
 , node-rimraf (>= 2.6.1)
 , node-safe-buffer (>= 5.1.0)
# Provided by debian/components/update-notifier
# , node-update-notifier (>= 2.2.0)
 , node-which (>= 1.2.14)
 , node-y18n (>= 3.2.1)
 , node-yargs (>= 8.0.2)
Description: support library for npx
 npx is a tool for executing npm-based binaries. For example, it allows one to
 run a command at a particular version of the module.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export npm_package_name=libnpx
export npm_package_version=$$(dpkg-parsechangelog -S version)
export HOME=/tmp

%:
	dh $@

override_dh_install:
	dh_components --no-purge
	dh_components --build_stage install
	dh_install

override_dh_auto_build:
	tail -n +2 README.md | marked-man --manual 'User Commands' --version ${npm_package_name}@${npm_package_version} > ${npm_package_name}.1

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
# npx command needs a newer npm
#	tap test/*.js
	mkdir node_modules
	ln -s /usr/lib/nodejs/npm node_modules
	ln -s .. node_modules/libnpx
	ln -s ../dotenv node_modules/dotenv
	ls test/*.js | grep -v test/auto-fallback.js | xargs tap
	rm -rf debian/node-libnpx/usr/lib/nodejs/libnpx/node_modules/npm
	rm -rf debian/node-libnpx/usr/lib/nodejs/libnpx/node_modules/libnpx
endif

override_dh_auto_clean:
	rm -f ${npm_package_name}.1
	rm -rf node_modules

=== debian/tests/control ===
Tests: require
Depends: node-libnpx

Test-Command: set -e
 ; mkdir node_modules
 ; ln -s /usr/lib/nodejs/npm node_modules
 ; ls test/*.js | grep -v test/auto-fallback.js | xargs tap
Depends: @, node-tap, node-require-inject, node-tacks, npm
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-libnpx-$1.tar.gz/ \
 https://github.com/zkat/npx/tags .*/archive/v?([\d\.]+).tar.gz

## node-libnpx 10.2.0+repack

=== debian/changelog ===
node-libnpx (10.2.0+repack-1) unstable; urgency=medium

  * Team upload
  * Repack to embed components
  * Add upstream/metadata
  * Add debianutils in build dependencies
  * Switch test to pkg-js-autopkgtest
  * Fix install
  * Fix tests (Closes: #921796)
  * Add patch desc
  * Remove unneeded dependency versions
  * Fix copyrights
  * Disable network access during build. Thanks to Steve Langasek
    (Closes: #920468)

 -- Xavier Guimard <yadd@debian.org>  Thu, 14 Feb 2019 11:13:16 +0100

=== debian/control ===
Source: node-libnpx
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper (>= 11~),
               pkg-components (>= 0.10~),
               nodejs,
               node-tap <!nocheck>,
               node-marked-man,
               node-require-inject <!nocheck>,
               node-tacks <!nocheck>,
# used for testing functionality of npm only
               npm <!nocheck>,
# Provided by debian/components/dotenv
# node-dotenv (>= 4.0.0),
               node-npm-package-arg,
               node-rimraf (>= 2.6.1),
               node-safe-buffer,
# Provided by debian/components/update-notifier
# node-update-notifier (>= 2.2.0),
               node-which (>= 1.2.14),
               node-y18n,
               node-yargs (>= 8.0.2)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/js-team/node-libnpx
Vcs-Git: https://salsa.debian.org/js-team/node-libnpx.git
Homepage: https://github.com/zkat/npx#readme

Package: node-libnpx
Architecture: all
Depends: ${misc:Depends},
         nodejs,
# Provided by debian/components/dotenv
# node-dotenv (>= 4.0.0),
         node-npm-package-arg,
         node-rimraf (>= 2.6.1),
         node-safe-buffer,
# Provided by debian/components/update-notifier
# node-update-notifier (>= 2.2.0),
         node-which (>= 1.2.14),
         node-y18n,
         node-yargs (>= 8.0.2)
Description: support library for npx
 npx is a tool for executing npm-based binaries. For example, it allows one to
 run a command at a particular version of the module.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
--- 
+++ 
@@ -18,18 +18,17 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
-# npx command needs a newer npm
-#	tap test/*.js
 	mkdir node_modules
 	ln -s /usr/lib/nodejs/npm node_modules
-	ln -s .. node_modules/libnpx
-	ln -s ../dotenv node_modules/dotenv
-	ls test/*.js | grep -v test/auto-fallback.js | xargs tap
+	ln -sf . node_modules/libnpx
+	export LANG=C; NODE_PATH=.:node_modules ls test/*.js | grep -v test/auto-fallback.js | xargs tap
+	rm -rf node_modules
+endif
+
+override_dh_auto_install:
 	rm -rf debian/node-libnpx/usr/lib/nodejs/libnpx/node_modules/npm
 	rm -rf debian/node-libnpx/usr/lib/nodejs/libnpx/node_modules/libnpx
-endif
 
 override_dh_auto_clean:
 	rm -f ${npm_package_name}.1
 	rm -rf node_modules
-

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|repack|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-libnpx-$1.tar.gz/ \
 https://github.com/zkat/npx/tags .*/archive/v?([\d\.]+).tar.gz

opts="searchmode=plain,pgpmode=none,component=dotenv" \
 https://registry.npmjs.org/dotenv https://registry.npmjs.org/dotenv/-/dotenv-(5[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=update-notifier" \
 https://registry.npmjs.org/update-notifier https://registry.npmjs.org/update-notifier/-/update-notifier-(2[\d\.]*)@ARCHIVE_EXT@ ignore

## node-libnpx 10.2.1

=== debian/changelog ===
node-libnpx (10.2.1-2) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Fix npx path (Closes: #954597)
  * Require npm ≥ 6.14.0

 -- Xavier Guimard <yadd@debian.org>  Sun, 22 Mar 2020 10:12:08 +0100

node-libnpx (10.2.1-1) unstable; urgency=medium

  * Switch to new upstream repo (npm/npx)
  * New upstream version 10.2.1 (fixes test failure with nodejs 12)
  * Drop dependency on dh-components (Closes: #933122)
  * Switch to pkg-js-tools
  * Bump Standards-Version to 4.4.1 (no changes needed)
  * Drop compat file, rely on debhelper-compat and bump compat level to 12

 -- Pirate Praveen <praveen@debian.org>  Sun, 19 Jan 2020 19:59:43 +0530

node-libnpx (10.2.0+repack-2) unstable; urgency=medium

  * Team upload
  * Remove useless link and add patch to fix npm path (Closes: #924163)

 -- Xavier Guimard <yadd@debian.org>  Sun, 10 Mar 2019 17:27:33 +0100

=== debian/control ===
--- 
+++ 
@@ -4,29 +4,30 @@
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               pkg-components (>= 0.10~),
+Build-Depends: debhelper-compat (= 12),
+               pkg-js-tools (>= 0.9.23~),
                nodejs,
                node-tap <!nocheck>,
                node-marked-man,
                node-require-inject <!nocheck>,
                node-tacks <!nocheck>,
 # used for testing functionality of npm only
-               npm <!nocheck>,
-# Provided by debian/components/dotenv
+               npm (>= 6.14.0) <!nocheck>,
+# Provided by embedded dotenv
 # node-dotenv (>= 4.0.0),
                node-npm-package-arg,
                node-rimraf (>= 2.6.1),
                node-safe-buffer,
-# Provided by debian/components/update-notifier
+# Provided by embedded update-notifier
 # node-update-notifier (>= 2.2.0),
                node-which (>= 1.2.14),
                node-y18n,
                node-yargs (>= 8.0.2)
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-libnpx
 Vcs-Git: https://salsa.debian.org/js-team/node-libnpx.git
 Homepage: https://github.com/zkat/npx#readme
+Rules-Requires-Root: no
 
 Package: node-libnpx
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export npm_package_name=libnpx
export npm_package_version=$$(dpkg-parsechangelog -S version)
export HOME=/tmp

%:
	dh $@ --with nodejs


override_dh_auto_build:
	tail -n +2 README.md | marked-man --manual 'User Commands' --version ${npm_package_name}@${npm_package_version} > ${npm_package_name}.1

=== debian/watch ===
--- 
+++ 
@@ -2,7 +2,7 @@
 opts=\
 dversionmangle=s/\+(debian|repack|dfsg|ds|deb)(\.\d+)?$//,\
 filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-libnpx-$1.tar.gz/ \
- https://github.com/zkat/npx/tags .*/archive/v?([\d\.]+).tar.gz
+ https://github.com/npm/npx/tags .*/archive/v?([\d\.]+).tar.gz
 
 opts="searchmode=plain,pgpmode=none,component=dotenv" \
  https://registry.npmjs.org/dotenv https://registry.npmjs.org/dotenv/-/dotenv-(5[\d\.]*)@ARCHIVE_EXT@ ignore

## node-libnpx 10.2.4

=== debian/changelog ===
node-libnpx (10.2.4-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * New upstream version 10.2.4
  * Add fix for node-mkdirp ≥ 1 (Closes: #973220)

 -- Xavier Guimard <yadd@debian.org>  Tue, 27 Oct 2020 21:31:44 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               pkg-js-tools (>= 0.9.23~),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-nodejs,
                nodejs,
                node-tap <!nocheck>,
                node-marked-man,
@@ -16,6 +16,7 @@
 # Provided by embedded dotenv
 # node-dotenv (>= 4.0.0),
                node-npm-package-arg,
+               node-mkdirp (>= 1),
                node-rimraf (>= 2.6.1),
                node-safe-buffer,
 # Provided by embedded update-notifier

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export HOME=/tmp
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
 
 override_dh_auto_build:
